Description: allow to replace __DATE__/__TIME__ by reproducible balues
Author: IOhannes m zmölnig
Last-Update: 2016-06-10
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- pd-hcs.orig/ce_path.c
+++ pd-hcs/ce_path.c
@@ -105,7 +105,10 @@
                     gensym("rewind"), 0);
 
     post("[ce_path] %s", version);  
-    post("\tcompiled on "__DATE__" at "__TIME__ " ");
+#ifndef PD_TIMESTAMP_STRING
+# define PD_TIMESTAMP_STRING "compiled on "__DATE__" at "__TIME__ " "
+#endif
+    post("\t"PD_TIMESTAMP_STRING);
     post("\tcompiled against Pd version %d.%d.%d", PD_MAJOR_VERSION, 
          PD_MINOR_VERSION, PD_BUGFIX_VERSION);
 }
--- pd-hcs.orig/classpath.c
+++ pd-hcs/classpath.c
@@ -119,7 +119,10 @@
 	{
 		post("[classpath] %s",version);  
 		post("\twritten by Hans-Christoph Steiner <hans@at.or.at>");
-		post("\tcompiled on "__DATE__" at "__TIME__ " ");
+#ifndef PD_TIMESTAMP_STRING
+# define PD_TIMESTAMP_STRING "compiled on "__DATE__" at "__TIME__ " "
+#endif
+		post("\t"PD_TIMESTAMP_STRING);
 		post("\tcompiled against Pd version %d.%d.%d", PD_MAJOR_VERSION, 
 			 PD_MINOR_VERSION, PD_BUGFIX_VERSION);
 	}
--- pd-hcs.orig/group.c
+++ pd-hcs/group.c
@@ -217,7 +217,10 @@
 	{
 		post("[group] %s",version);  
 		post("\twritten by Hans-Christoph Steiner <hans@at.or.at>");
-		post("\tcompiled on "__DATE__" at "__TIME__ " ");
+#ifndef PD_TIMESTAMP_STRING
+# define PD_TIMESTAMP_STRING "compiled on "__DATE__" at "__TIME__ " "
+#endif
+		post("\t"PD_TIMESTAMP_STRING);
 	}
 	group_instance_count++;
 
--- pd-hcs.orig/helppath.c
+++ pd-hcs/helppath.c
@@ -140,7 +140,10 @@
 					A_DEFSYMBOL, 0);
 
     post("[helppath] %s", version);  
-    post("\tcompiled on "__DATE__" at "__TIME__ " ");
+#ifndef PD_TIMESTAMP_STRING
+# define PD_TIMESTAMP_STRING "compiled on "__DATE__" at "__TIME__ " "
+#endif
+    post("\t"PD_TIMESTAMP_STRING);
     post("\tcompiled against Pd version %d.%d.%d", PD_MAJOR_VERSION, 
          PD_MINOR_VERSION, PD_BUGFIX_VERSION);
 
--- pd-hcs.orig/passwd.c
+++ pd-hcs/passwd.c
@@ -166,7 +166,10 @@
 	{
 		post("[passwd] %s",version);  
 		post("\twritten by Hans-Christoph Steiner <hans@at.or.at>");
-		post("\tcompiled on "__DATE__" at "__TIME__ " ");
+#ifndef PD_TIMESTAMP_STRING
+# define PD_TIMESTAMP_STRING "compiled on "__DATE__" at "__TIME__ " "
+#endif
+		post("\t"PD_TIMESTAMP_STRING);
 	}
 	passwd_instance_count++;
 
--- pd-hcs.orig/stat.c
+++ pd-hcs/stat.c
@@ -268,7 +268,10 @@
 	{
 		post("[stat] %s",version);  
 		post("\twritten by Hans-Christoph Steiner <hans@at.or.at>");
-		post("\tcompiled on "__DATE__" at "__TIME__ " ");
+#ifndef PD_TIMESTAMP_STRING
+# define PD_TIMESTAMP_STRING "compiled on "__DATE__" at "__TIME__ " "
+#endif
+		post("\t"PD_TIMESTAMP_STRING);
 	}
 	stat_instance_count++;
 
--- pd-hcs.orig/version.c
+++ pd-hcs/version.c
@@ -55,8 +55,18 @@
 	SETFLOAT(version_data + 1, (t_float) minor);
 	SETFLOAT(version_data + 2, (t_float) bugfix);
 	SETSYMBOL(version_data + 3, gensym(PD_TEST_VERSION));
-	SETSYMBOL(version_data + 4, gensym(__DATE__));
-	SETSYMBOL(version_data + 5, gensym(__TIME__));
+#ifndef PD_DATE
+# define PD_DATE __DATE__
+#endif
+#ifndef PD_TIME
+# define PD_TIME __TIME__
+#endif
+#ifndef PD_TIMESTAMP_STRING
+# define PD_TIMESTAMP_STRING "compiled on "PD_DATE" at "PD_TIME " "
+#endif
+		post("\t"PD_TIMESTAMP_STRING);
+	SETSYMBOL(version_data + 4, gensym(PD_DATE));
+	SETSYMBOL(version_data + 5, gensym(PD_TIME));
 	
 	outlet_list(x->x_obj.ob_outlet, &s_list, 6, version_data);
 }
